/*
       *  Licensed Materials - Property of IBM
       *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
       *  US Government Users Restricted Rights - Use, duplication or
       *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/**
 *  WL.Server.invokeHttp(parameters) accepts the following json object as an argument:
 *  
 *  {
 *  	// Mandatory 
 *  	method : 'get' , 'post', 'delete' , 'put' or 'head' 
 *  	path: value,
 *  	
 *  	// Optional 
 *  	returnedContentType: any known mime-type or one of "json", "css", "csv", "javascript", "plain", "xml", "html"  
 *  	returnedContentEncoding : 'encoding', 
 *  	parameters: {name1: value1, ... }, 
 *  	headers: {name1: value1, ... }, 
 *  	cookies: {name1: value1, ... }, 
 *  	body: { 
 *  		contentType: 'text/xml; charset=utf-8' or similar value, 
 *  		content: stringValue 
 *  	}, 
 *  	transformation: { 
 *  		type: 'default', or 'xslFile', 
 *  		xslFile: fileName 
 *  	} 
 *  } 
 */

/**
 * 
 * @returns json list of items
 */

var getUserJson = {
		  users: [
		            {
		              name: 'Tim',
		              age: 31
		            },
		            {
		              name: 'Jeff',
		              age: 51
		            },
		            {
		              name: 'Lizet',
		              age: 12
		            },
		            {
		              name: 'Carlos',
		              age: 24
		            },
		            {
		              name: 'Christian',
		              age: 24
		            }
		          ],
		          statusCode: 200,
		          statusReason: "OK"
		        };


function getUsers() {
	
	return getUserJson;
}


function addUser(param1) {
	
	return getUserJson;
}


function updateUser(param1) {
	
	return getUserJson;
}


function deleteUser(param1) {
	
	return getUserJson;
}


